> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sendpadi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List products

> List products Scope: `gift-cards:read`.



## OpenAPI

````yaml GET /api/v1/merchant/gift-cards/products
openapi: 3.1.0
info:
  title: SendPadi Merchant API
  version: 1.0.0
  description: >-
    Merchant REST API. Authenticate with HMAC headers (`X-Api-Key`,
    `X-Timestamp`, `X-Signature`). Generate playground headers with [Sign
    requests (playground)](/guides/sign-requests).
servers:
  - url: https://api.sendpadi.com
    description: Production (test + live keys)
security: []
paths:
  /api/v1/merchant/gift-cards/products:
    get:
      tags:
        - gift-cards
      summary: List products
      description: List products **Scope:** `gift-cards:read`.
      operationId: api-reference_gift-cards_list-products
      parameters:
        - name: X-Timestamp
          in: header
          required: true
          description: Unix time in seconds
          schema:
            type: string
        - name: X-Signature
          in: header
          required: true
          description: HMAC-SHA256 signature
          schema:
            type: string
        - name: page
          in: query
          required: false
          schema:
            type: integer
          example: 1
        - name: limit
          in: query
          required: false
          schema:
            type: integer
          example: 20
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
              example:
                success: true
                message: OK
                data:
                  items: []
              examples:
                success:
                  summary: Success
                  value:
                    success: true
                    message: OK
                    data:
                      items: []
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key
      description: API key id (sp_test_… / sp_live_…)

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.